From dd0179c37b6dd1496a86c8fdbaa77415f6f95fac Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 22 Apr 2025 13:41:32 +1000
Subject: [PATCH v3] DOCS - docguide. Added some new style guidelines for the
 reference pages

---
 doc/src/sgml/docguide.sgml | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/doc/src/sgml/docguide.sgml b/doc/src/sgml/docguide.sgml
index db4bcce..e27e58d 100644
--- a/doc/src/sgml/docguide.sgml
+++ b/doc/src/sgml/docguide.sgml
@@ -516,6 +516,19 @@ LOGLEVEL=-Dorg.apache.commons.logging.simplelog.defaultlog=WARN
         that is done below.  Instead, list the major components of the
         command line, such as where input and output files go.
        </para>
+
+       <para>
+        Below are some addtional recommendations for an application synopsis:
+        <itemizedlist>
+         <listitem>
+          <para>
+           Options that are common across multiple applications should also
+           have consistent argument names. For example,
+           <replaceable>datadir</replaceable> and <replaceable>filename</replaceable>.
+          </para>
+         </listitem>
+        </itemizedlist>
+       </para>
       </listitem>
      </varlistentry>
 
-- 
1.8.3.1

